View Issue Details

IDProjectCategoryView StatusLast Update
0006713mantisbtcustomizationpublic2010-08-02 15:13
Reporteralpoplavsky Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
Status newResolutionfixed 
Product Version1.0.0rc2 
Summary0006713: Customization of the attributes seen in report, edit and update bug views
Description

I deploy mantis (1.0.0rc2) in my society to manage not only bug but also enhancement, feature, task, ...
I've made some change in the php code to better fit our needs mainly in the IHM.
Maybe this could interest some people.
I try to uniformize and better customize the report, edit and update bug views.
In the report, edit and update bug views, I've merge the php code of the simple and advanced page so we can define in the get_columns_to_view the attributes you want to see in these views. I use the "custom_function_override_get_columns_to_view" function and add the following tags (COLUMNS_TARGET_REPORT_PAGE, COLUMNS_TARGET_REPORT_AVANCED_PAGE, ...) to specify the fields to show.
All the attributes are presented into two columns in all the views.

I join here a zip file containing the php source files.

TagsNo tags attached.

Relationships

related to 0004227 acknowledged Roadmap 1.0 - Templates 

Activities

2006-02-15 03:20

 

atrol

atrol

2010-07-28 16:54

developer   ~0026150

This functionality is available in newer versions of MantisBt

alpoplavsky

alpoplavsky

2010-08-02 04:46

reporter   ~0026197

That not really identical.
In my solution, I could choose the order of the attributes in the view and insert custom fields.
And even if I have merge bug_report_page.php and bug_report_advanced_page.php php code (same for view and update), I have maintain the possibility to have simple and advanced view.

atrol

atrol

2010-08-02 15:13

developer   ~0026206

Reopened to keep alpoplavsky's input for related issue

Issue History

Date Modified Username Field Change
2006-02-15 03:20 alpoplavsky New Issue
2006-02-15 03:20 alpoplavsky File Added: mantis-1.0.0rc2-add050918.zip
2010-07-28 16:54 atrol Note Added: 0026150
2010-07-28 16:54 atrol Status new => resolved
2010-07-28 16:54 atrol Resolution open => fixed
2010-07-28 16:54 atrol Assigned To => atrol
2010-08-02 04:46 alpoplavsky Note Added: 0026197
2010-08-02 15:12 atrol Relationship added related to 0004227
2010-08-02 15:13 atrol Note Added: 0026206
2010-08-02 15:13 atrol Assigned To atrol =>
2010-08-02 15:13 atrol Status resolved => new